@import "description.scss";

.wrapper {
  background-color: $color-gray-bgc-1;
  padding: 100px 0;

  @include tablet {
    overflow: hidden;
    padding: 60px 0;
  }

  @include mobile {
    padding: 40px 0;
  }
}

.container {
  @include content;

  @include mobile {
    padding-right: 0 !important;
  }
}

.swiper {
  padding: 60px 0 40px;

  @include desktop-small {
    padding-bottom: 60px;
  }

  @include tablet {
    overflow: visible;
    padding: 0;
  }

  &__wrapper {
    display: flex;
    align-items: center;
    position: relative;

    @include desktop-small {
      width: calc(100% - 140px);
      margin: 0 auto;
    }

    @include tablet {
      width: 100%;
    }
  }
}

.mafin__swiper {
  display: flex;

  @include mobile {
    padding: 10px;
  }
}

.title {
  @include h2;

  min-height: 78px;
}

.card {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 40px;
  width: 261px;
  height: 387px;
  background: white;
  box-shadow: 0px 10px 40px rgba(0, 0, 0, 0.051);
  border-radius: 10px;
  transition: transform 0.25s ease-out;
  cursor: pointer;

  @include tablet {
    background: transparent;
    box-shadow: none;
    width: 152px;
    padding: 0px;
    box-sizing: content-box;
  }

  &:hover {
    transform: translateY(-20px);
  }

  .picture {
    @include tablet {
      border-radius: 10px;
      background: white;
      width: 76px;
      height: 66px;
      padding: 46px 38px;
      box-sizing: content-box;
      margin-bottom: 10px;
      display: flex;
      justify-content: center;

      background-size: contain;
      background-repeat: no-repeat;
      background-position: center;
      background-origin: content-box;
    }
  }

  .img {
    width: 100%;
    height: auto;
    margin-bottom: 35px;

    @include tablet {
      width: auto;
      height: 100%;
    }
  }

  .title {
    @include d_extra_text;

    margin-bottom: 25px;
    text-align: center;
    white-space: break-spaces;
    font-weight: 600;

    @include tablet {
      @include d_big_text;

      margin-bottom: 10px;
      color: #000;
    }
  }

  .show_more {
    @include d_big_text;

    font-weight: 600;
    pointer-events: all;
    color: $color-red;
    transition: color 0.25s ease-out;

    &:hover {
      color: $color-link-hover;
    }

    @include mobile {
      @include normal_text;
    }
  }
}

.slide {
  &-overlay {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
  }
}

.calculate {
  width: 224px;
  margin: auto;

  @include mobile {
    display: none;
  }
}

.pagination {
  width: 100%;
  display: none;
  flex-direction: row;
  justify-content: center;
  margin-bottom: 60px;

  @include tablet {
    display: flex;
  }

  @include mobile {
    margin-bottom: 0;
  }

  &_bullet {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background: #e5e5e5;
    margin: 0 5px;
    cursor: pointer;

    &_active {
      background: #c5c7c9;
    }
  }
}

.arrow_next,
.arrow_prev {
  position: absolute;
  z-index: 2;
  top: 41%;
  width: 40px;
  height: 41px;
  background: url(./assets/arrow-next.svg) center no-repeat;
  background-size: contain;
  transition: background-image 0.25s ease-out;
  cursor: pointer;

  &:hover {
    background: url(./assets/arrow-hover.svg) center no-repeat;
  }

  @include desktop-small {
    top: 45%;
  }

  @include tablet {
    display: none;
  }
}

.arrow_prev {
  left: -76px;
  transform: rotate(180deg);
}

.arrow_next {
  right: -76px;
}

.hidden {
  display: none;
}
